#ifndef _PROJECT_DEFS_H
#define _PROJECT_DEFS_H

/**
 * @file project-defs.h
 *
 * Fichier d'entête du projet.
 *
 * Les SDK de tous les micro-contrôleurs d'une même famille
 * (soit CH32Vxxx, soit CH57x/CH58x/CH59x) sont compatibles
 * entre eux à quelques détails près.
 *
 * Afin de faciliter l'écriture de code réutilisable, on
 * isole ces différences dans ce fichier d'entête project-defs.h,
 * qu'on inclue en tête de tous les fichiers sources du projet.
 *
 * C'est également dans project-defs.h qu'on définira toutes
 * les macros utiles à l'ensemble du projet.
 */

#include <ch32v00x.h>
#include <debug.h>

#include <stdint.h>
#include <stdbool.h>

#define INLINE inline __attribute__((always_inline))

#endif // _PROJECT_DEFS_H
